Firefox lagging behind latest version in Ubuntu 18-04

Asked by Manuel Zahariev on 2018-09-15

ubuntu 18-04

apt-cache policy firefox
firefox:
  Installed: 59.0.2+build1-0ubuntu1
  Candidate: 59.0.2+build1-0ubuntu1
  Version table:
 *** 59.0.2+build1-0ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Expected:
sudo apt update / full-upgrade should upgrade to latest firefox (62)

Actual:
sudo apt update

Hit:1 http://archive.ubuntu.com/ubuntu bionic InRelease
Hit:2 http://archive.canonical.com/ubuntu bionic InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.

Background:
- just upgraded to 18.04 from 16.04
- same problem was present in 16.04 (one of the reasons I upgraded to 18.04)
- changed download server
- could not find reference about repository, but unauthoritative reference says:
"Firefox 62 is now available on the software repositories of Ubuntu 18.04 LTS (Bionic Beaver)"
https://news.softpedia.com/news/mozilla-firefox-62-quantum-is-now-available-for-all-supported-ubuntu-releases-522557.shtml

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: firefox 59.0.2+build1-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: manuel 1611 F.... pulseaudio
BuildID: 20180406121424
Channel: Unavailable
CurrentDesktop: ubuntu:GNOME
Date: Sat Sep 15 10:26:01 2018
DefaultProfileIncompatibleExtensions:
 English (South Africa) Language Pack - <email address hidden>
 English (GB) Language Pack - <email address hidden>
 Default - {972ce4c6-7e08-4474-a285-3208198ce6fd}
DefaultProfilePrefSources: prefs.js
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2016-11-16 (668 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
IpRoute:
 default via 192.168.1.1 dev wlp2s0 proto dhcp metric 600
 169.254.0.0/16 dev wlp2s0 scope link metric 1000
 192.168.1.0/24 dev wlp2s0 proto kernel scope link src 192.168.1.100 metric 600
MostRecentCrashID: bp-dd16cb9b-c14f-4666-b3ad-edfc01180106
Profile1IncompatibleExtensions:
 English (South Africa) Language Pack - <email address hidden>
 English (GB) Language Pack - <email address hidden>
 Default - {972ce4c6-7e08-4474-a285-3208198ce6fd}
Profile1Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
Profile1PrefSources: prefs.js
Profiles:
 Profile0 (Default) - LastVersion=59.0.2/20180406121424
 Profile1 - LastVersion=59.0.2/20180326161258 (Out of date)
RunningIncompatibleAddons: True
SourcePackage: firefox
SubmittedCrashIDs:
 bp-dd16cb9b-c14f-4666-b3ad-edfc01180106
 bp-aff911da-a092-441e-9768-b56de2150625
 bp-a16680cb-2679-4284-83fe-9aa982140507
UpgradeStatus: Upgraded to bionic on 2018-09-10 (5 days ago)
dmi.bios.date: 08/10/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: 3JCN19WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Torronto 5C1
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad 510-15IKB
dmi.modalias: dmi:bvnLENOVO:bvr3JCN19WW:bd08/10/2016:svnLENOVO:pn80SV:pvrLenovoideapad510-15IKB:rvnLENOVO:rnTorronto5C1:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoideapad510-15IKB:
dmi.product.family: IDEAPAD
dmi.product.name: 80SV
dmi.product.version: Lenovo ideapad 510-15IKB
dmi.sys.vendor: LENOVO

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu firefox Edit question
Assignee:
No assignee Edit question
Solved by:
Manuel Zahariev
Solved:
2018-09-17
Last query:
2018-09-17
Last reply:
2018-09-15
Manuel Zahariev (manuelzz) said : #1

The reporter was confused :)
... and had disabled bionic-updates and bionic-security
Apologies

Paul White (paulw2u) said : #2

Manuel, you converted the bug report to a question and have acknowledged why Firefox didn't upgrade to version 62.

Do you still need help?

Manuel Zahariev (manuelzz) said : #3

No. Thanks for the quick response.